# IngrainTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class IngrainTag

Applies the Ingrain tag to a pokemon

#### Hierarchy (View Summary)

- TrappedTag
  - IngrainTag

- Defined in src/data/battler-tags.ts:1250

##### Index

### Constructors

constructor

### Properties

isBatonPassable
lapseTypes
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getSourcePokemon
getTrapMessage
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new IngrainTag(sourceId: number): IngrainTag

  #### Parameters

  - sourceId: number

  #### Returns IngrainTag

  Overrides TrappedTag.constructor

  - Defined in src/data/battler-tags.ts:1251

## Properties

### isBatonPassable

isBatonPassable: boolean

Inherited from TrappedTag.isBatonPassable

- Defined in src/data/battler-tags.ts:65

### lapseTypes

lapseTypes: BattlerTagLapseType []

Inherited from TrappedTag.lapseTypes

- Defined in src/data/battler-tags.ts:61

### `Optional` sourceId

sourceId?: number

Inherited from TrappedTag.sourceId

- Defined in src/data/battler-tags.ts:64

### sourceMove

sourceMove: Moves

Inherited from TrappedTag.sourceMove

- Defined in src/data/battler-tags.ts:63

### tagType

tagType: BattlerTagType

Inherited from TrappedTag.tagType

- Defined in src/data/battler-tags.ts:60

### turnCount

turnCount: number

Inherited from TrappedTag.turnCount

- Defined in src/data/battler-tags.ts:62

## Methods

### canAdd

- canAdd(pokemon: default ): boolean

  Check if the Ingrain tag can be added to the pokemon

  #### Parameters

  - pokemon: default

    `Pokemon` The pokemon to check if the tag can be added to

  #### Returns boolean

  boolean True if the tag can be added, false otherwise

  Overrides TrappedTag.canAdd

  - Defined in src/data/battler-tags.ts:1260

### getDescriptor

- getDescriptor(): string

  #### Returns string

  Overrides TrappedTag.getDescriptor

  - Defined in src/data/battler-tags.ts:1291

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from TrappedTag.getMoveName

  - Defined in src/data/battler-tags.ts:105

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon object

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from TrappedTag.getSourcePokemon

  - Defined in src/data/battler-tags.ts:124

### getTrapMessage

- getTrapMessage(pokemon: default ): string

  #### Parameters

  - pokemon: default

  #### Returns string

  Overrides TrappedTag.getTrapMessage

  - Defined in src/data/battler-tags.ts:1285

### isSourceLinked

- isSourceLinked(): boolean

  #### Returns boolean

  Inherited from TrappedTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:606

### lapse

- lapse(pokemon: default , lapseType: BattlerTagLapseType ): boolean

  #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Overrides TrappedTag.lapse

  - Defined in src/data/battler-tags.ts:1266

### loadTag

- loadTag(source: any): void

  When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from TrappedTag.loadTag

  - Defined in src/data/battler-tags.ts:114

### onAdd

- onAdd(pokemon: default ): void

  #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from TrappedTag.onAdd

  - Defined in src/data/battler-tags.ts:585

### onOverlap

- onOverlap(_pokemon: default ): void

  #### Parameters

  - _pokemon: default

  #### Returns void

  Inherited from TrappedTag.onOverlap

  - Defined in src/data/battler-tags.ts:91

### onRemove

- onRemove(pokemon: default ): void

  #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from TrappedTag.onRemove

  - Defined in src/data/battler-tags.ts:591